package cn.yw.alarmtaskmanage.bean;

import cn.base.bean.BaseBean;
//[运维告警规则联动设备]

public class YwalarmrulefordeviceBean extends BaseBean implements java.io.Serializable {
	private String relateid;//[关联设备id]
	private String alarmruleid;//[告警规则id]
	private String linkdevicetype;//[联动设备类型]
	private String linkdeviceid;//[联动设备id]
	private String linkdevicenum;//[联动设备编号]
	private int linkchannelnum;//[联动通道编号]
	private String linkdevicename;//[联动设备名称]
	private int detectionswitch;//[检测开关]
	private String detectionstarttime;//[检测开始时间]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setRelateid(String relateid){
		this.relateid = relateid;
	}
	public String getRelateid(){
		return relateid;
	}
	public void setAlarmruleid(String alarmruleid){
		this.alarmruleid = alarmruleid;
	}
	public String getAlarmruleid(){
		return alarmruleid;
	}
	public void setLinkdevicetype(String linkdevicetype){
		this.linkdevicetype = linkdevicetype;
	}
	public String getLinkdevicetype(){
		return linkdevicetype;
	}
	public void setLinkdeviceid(String linkdeviceid){
		this.linkdeviceid = linkdeviceid;
	}
	public String getLinkdeviceid(){
		return linkdeviceid;
	}
	public void setLinkdevicenum(String linkdevicenum){
		this.linkdevicenum = linkdevicenum;
	}
	public String getLinkdevicenum(){
		return linkdevicenum;
	}
	public void setLinkchannelnum(int linkchannelnum){
		this.linkchannelnum = linkchannelnum;
	}
	public int getLinkchannelnum(){
		return linkchannelnum;
	}
	public void setLinkdevicename(String linkdevicename){
		this.linkdevicename = linkdevicename;
	}
	public String getLinkdevicename(){
		return linkdevicename;
	}
	public void setDetectionswitch(int detectionswitch){
		this.detectionswitch = detectionswitch;
	}
	public int getDetectionswitch(){
		return detectionswitch;
	}
	public void setDetectionstarttime(String detectionstarttime){
		this.detectionstarttime = detectionstarttime;
	}
	public String getDetectionstarttime(){
		return detectionstarttime;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}